﻿using UnityEngine;
using System.Collections;

public class DestroyOnSecondaryImpact : MonoBehaviour 
{
    [SerializeField] GameObject destructionEffect = null;

    void MESSAGE_BotImpact()
    {
        if (destructionEffect)
        {
            Instantiate(destructionEffect, transform.position, Quaternion.identity);
        }

        GameManager.Instance.RegisterKill(gameObject);

        BroadcastMessage("MESSAGE_Destroy", SendMessageOptions.DontRequireReceiver);
        Destroy(gameObject);
	}
}
