﻿using UnityEngine;
using System.Collections;

public class DestroyAfterTime : MonoBehaviour 
{
    [SerializeField] float time = 1.0f;
    [SerializeField] bool detachChildren = false;
	
	void Start () 
    {
        Invoke("HandleDestruction", time);
	}

    void HandleDestruction()
    {
        if (detachChildren)
            transform.DetachChildren();

        Destroy(gameObject);
    }
}
