﻿using UnityEngine;
using System.Collections;

public class RaycastLine : MonoBehaviour 
{
    [SerializeField] Transform endTransform;
    [SerializeField] LineRenderer lineRenderer;
    [SerializeField] LayerMask castMask;
        
	void Update () 
    {
        RaycastHit hitInfo;
        if (Physics.Raycast(transform.position, transform.forward, out hitInfo, Mathf.Infinity, castMask))
        {
            lineRenderer.SetPosition(1, transform.InverseTransformPoint(hitInfo.point));

            if (endTransform)
            {
                endTransform.position = hitInfo.point;
            }
        }
	}
}
