﻿using UnityEngine;
using System.Collections;

public class TrackPlayer : MonoBehaviour 
{
    public static Transform target;

    [SerializeField] Vector3 upVector = Vector3.up;
    
	void Start () 
    {
        if(!target)
            target = FindObjectOfType<PlayerController>().transform;
	}
	
	// Update is called once per frame
	void FixedUpdate () 
    {
        if (!target)
            return;
        
        transform.LookAt(target.transform.position, transform.parent ? transform.parent.TransformDirection(upVector) : upVector);
	}
}
