﻿using UnityEngine;
using System.Collections;

public class HPPointDisplay : MonoBehaviour 
{
    [SerializeField] GameObject[] toggleObjects;

    private bool pointDisplayed = true;

    public bool PointDisplayed
    {
        get { return pointDisplayed; }
        set
        {
            if (value != pointDisplayed)
            {
                pointDisplayed = value;

                foreach (GameObject o in toggleObjects)
                {
                    o.SetActive(!o.activeSelf);
                }
            }
        }
    }


}
